## tiled-qt 0.4.1

=== debian/changelog ===
tiled-qt (0.4.1-2) unstable; urgency=low

  * Change binary package name from tiled-qt to tiled

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 20 May 2010 22:35:31 +0800

tiled-qt (0.4.1-1) unstable; urgency=low

  * Initial release (Closes: #502691)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 20 May 2010 20:33:27 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

%:
	dh  $@

override_dh_auto_configure:
	qmake-qt4

override_dh_auto_build: tiled.1
	pngtopnm src/images/tiled-icon-32.png > tiled-icon-32.ppm
	pngtopnm -alpha src/images/tiled-icon-32.png > tiled-icon-32_alpha.pgm
	ppmtoxpm -name=tiled-icon-32 tiled-icon-32.ppm \
	    -alphamask=tiled-icon-32_alpha.pgm > tiled-icon-32.xpm
	dh_auto_build

tiled.1: debian/tiled.xml
	$(XP) $(DB2MAN) $<

=== debian/watch ===
version=3
http://sf.net/tiled/tiled-qt-(.*)\.tar\.gz

## tiled-qt 1.2.1.1+dfsg.1+rb2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python3 -msphinx
SPHINXPROJ    = Tiled
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## tiled-qt 0.5.0

=== debian/changelog ===
tiled-qt (0.5.0-1) unstable; urgency=low

  * New upstream release
  * debian/patches/addrpath.patch: Modify library install path.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 05 Jul 2010 21:35:45 +0800

=== debian/control ===
Source: tiled-qt
Section: utils
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev, xsltproc, docbook-xsl,
               netpbm, zlib1g-dev
Standards-Version: 3.8.4
Homepage: http://www.mapeditor.org/

Package: tiled
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: generic tile map editor
 Tiled is a general purpose tile map editor. It's built to be easy to use,
 yet capable of catering to a host of varying game engines, whether your game
 is an RPG, platformer or Breakout clone. Tiled supports plugins to read and
 write map formats, in addition to its map format, to support map formats in
 use by engines.

=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,18 @@
 	dh  $@
 
 override_dh_auto_configure:
-	qmake-qt4
+	qmake-qt4 -r PREFIX=/usr
+	cd src/libtiled; qmake-qt4 PREFIX=/usr/lib/tiled
 
 override_dh_auto_build: tiled.1
-	pngtopnm src/images/tiled-icon-32.png > tiled-icon-32.ppm
-	pngtopnm -alpha src/images/tiled-icon-32.png > tiled-icon-32_alpha.pgm
+	pngtopnm src/tiled/images/tiled-icon-32.png > tiled-icon-32.ppm
+	pngtopnm -alpha src/tiled/images/tiled-icon-32.png > tiled-icon-32_alpha.pgm
 	ppmtoxpm -name=tiled-icon-32 tiled-icon-32.ppm \
 	    -alphamask=tiled-icon-32_alpha.pgm > tiled-icon-32.xpm
 	dh_auto_build
 
 tiled.1: debian/tiled.xml
 	$(XP) $(DB2MAN) $<
+
+override_dh_makeshlibs:
+	dh_makeshlibs -Xlibtiled

## tiled-qt 0.6.0

=== debian/changelog ===
tiled-qt (0.6.0-1ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Fix FTBFS due to indirect linking.
      + Add fix-build-indirect-linking.patch

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 09 Feb 2011 08:47:43 +0100

tiled-qt (0.6.0-1) unstable; urgency=low

  * New upstream release
    - Upstream fix the FTBFS with binutils-gold (Closes: #600692)
  * Update debian/copyright
  * Add debian/tmxviewer.xml for missing manpage.
  * Add libqt4-opengl-dev to Build-Depends

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 07 Feb 2011 22:59:50 +0800

tiled-qt (0.5.1-1ubuntu1) natty; urgency=low

  * Fix FTBFS due to indirect linking.
    - Add fix-build-indirect-linking.patch

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 19 Oct 2010 11:32:12 +0200

tiled-qt (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.1: nothing needs to be changed
  * debian/clean: Add newline in end of file
  * debian/tiled.install: remove comment lines
  * remove unnecessary debian/bin

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 07 Sep 2010 03:12:01 +0800

=== debian/control ===
Source: tiled-qt
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev, xsltproc, docbook-xsl,
               netpbm, zlib1g-dev, libqt4-opengl-dev
Standards-Version: 3.9.1
Homepage: http://www.mapeditor.org/

Package: tiled
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: general purpose tile map editor
 Tiled is a general purpose tile map editor. It's built to be easy to use,
 yet capable of catering to a host of varying game engines, whether your game
 is an RPG, platformer or Breakout clone. Tiled supports plugins to read and
 write map formats, in addition to its map format, to support map formats in
 use by engines.

## tiled-qt 0.6.2

=== debian/changelog ===
tiled-qt (0.6.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 23 May 2011 01:03:33 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: tiled-qt
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libqt4-dev, xsltproc, docbook-xsl,
                netpbm, zlib1g-dev, libqt4-opengl-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.mapeditor.org/
 
 Package: tiled

## tiled-qt 0.7.1

=== debian/changelog ===
tiled-qt (0.7.1-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 10 Oct 2011 14:28:44 +0800

tiled-qt (0.7.0-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 04 Aug 2011 17:23:23 +0800

## tiled-qt 0.8.0

=== debian/changelog ===
tiled-qt (0.8.0-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 16 Dec 2011 23:37:43 +0800

## tiled-qt 0.8.1

=== debian/changelog ===
tiled-qt (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3: nothing needs to be changed
  * Bump debhelper compat to 9
  * Update debian/copyright to latest v1.0 format

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 16 May 2012 17:34:15 +0800

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libqt4-dev, xsltproc, docbook-xsl,
+Build-Depends: debhelper (>= 9), libqt4-dev, xsltproc, docbook-xsl,
                netpbm, zlib1g-dev, libqt4-opengl-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.mapeditor.org/
 
 Package: tiled

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,9 @@
 
 override_dh_auto_configure:
 	qmake-qt4 -r PREFIX=/usr
-	cd src/libtiled; qmake-qt4 PREFIX=/usr/lib/tiled
+	cd src/libtiled; qmake-qt4 LIBDIR=/usr/lib/tiled
 
-override_dh_auto_build: tiled.1
+override_dh_auto_build: tiled.1 tmxviewer.1
 	pngtopnm src/tiled/images/tiled-icon-32.png > tiled-icon-32.ppm
 	pngtopnm -alpha src/tiled/images/tiled-icon-32.png > tiled-icon-32_alpha.pgm
 	ppmtoxpm -name=tiled-icon-32 tiled-icon-32.ppm \
@@ -24,5 +24,8 @@
 tiled.1: debian/tiled.xml
 	$(XP) $(DB2MAN) $<
 
+tmxviewer.1: debian/tmxviewer.xml
+	$(XP) $(DB2MAN) $<
+
 override_dh_makeshlibs:
 	dh_makeshlibs -Xlibtiled

=== debian/watch ===
version=3
http://sf.net/tiled/tiled-qt-(.*)\.tar\.gz debian uupdate

## tiled-qt 0.9.0

=== debian/changelog ===
tiled-qt (0.9.0-1) unstable; urgency=low

  * New upstream release
  * Use upstream's manpage.
  * Use hardening-wrapper for Hardening.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 07 Feb 2013 02:08:30 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: debhelper (>= 9), libqt4-dev, xsltproc, docbook-xsl,
-               netpbm, zlib1g-dev, libqt4-opengl-dev
+               netpbm, zlib1g-dev, libqt4-opengl-dev, hardening-wrapper
 Standards-Version: 3.9.3
 Homepage: http://www.mapeditor.org/

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
 
 DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
 XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"
@@ -14,7 +15,7 @@
 	qmake-qt4 -r PREFIX=/usr
 	cd src/libtiled; qmake-qt4 LIBDIR=/usr/lib/tiled
 
-override_dh_auto_build: tiled.1 tmxviewer.1
+override_dh_auto_build:
 	pngtopnm src/tiled/images/tiled-icon-32.png > tiled-icon-32.ppm
 	pngtopnm -alpha src/tiled/images/tiled-icon-32.png > tiled-icon-32_alpha.pgm
 	ppmtoxpm -name=tiled-icon-32 tiled-icon-32.ppm \

## tiled-qt 0.9.1

=== debian/changelog ===
tiled-qt (0.9.1-1) unstable; urgency=low

  * New upstream release (Closes: #723608)
  * Add tiled-dbg package for debug symbols (Closes: #702906)
  * Bump Standards-Version to 3.9.4: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 20 Sep 2013 04:03:58 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: debhelper (>= 9), libqt4-dev, xsltproc, docbook-xsl,
                netpbm, zlib1g-dev, libqt4-opengl-dev, hardening-wrapper
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.mapeditor.org/
 
 Package: tiled
@@ -16,3 +16,17 @@
  is an RPG, platformer or Breakout clone. Tiled supports plugins to read and
  write map formats, in addition to its map format, to support map formats in
  use by engines.
+
+Package: tiled-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: tiled (= ${binary:Version}), ${misc:Depends}
+Description: general purpose tile map editor (debug symbols)
+ Tiled is a general purpose tile map editor. It's built to be easy to use,
+ yet capable of catering to a host of varying game engines, whether your game
+ is an RPG, platformer or Breakout clone. Tiled supports plugins to read and
+ write map formats, in addition to its map format, to support map formats in
+ use by engines.
+ .
+ This package contains the debug symbols for tiled.

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,12 @@
 	dh  $@
 
 override_dh_auto_configure:
-	qmake-qt4 -r PREFIX=/usr
-	cd src/libtiled; qmake-qt4 LIBDIR=/usr/lib/tiled
+	dh_auto_configure
+	dh_auto_configure -Dsrc/libtiled -- LIBDIR=/usr/lib/tiled
 
 override_dh_auto_build:
-	pngtopnm src/tiled/images/tiled-icon-32.png > tiled-icon-32.ppm
-	pngtopnm -alpha src/tiled/images/tiled-icon-32.png > tiled-icon-32_alpha.pgm
+	pngtopnm src/tiled/images/32x32/tiled.png > tiled-icon-32.ppm
+	pngtopnm -alpha src/tiled/images/32x32/tiled.png > tiled-icon-32_alpha.pgm
 	ppmtoxpm -name=tiled-icon-32 tiled-icon-32.ppm \
 	    -alphamask=tiled-icon-32_alpha.pgm > tiled-icon-32.xpm
 	dh_auto_build
@@ -30,3 +30,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xlibtiled
+
+override_dh_strip:
+	dh_strip --dbg-package=tiled-dbg

## tiled-qt 0.10.1

=== debian/changelog ===
tiled-qt (0.10.1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.6: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 22 Oct 2014 02:39:34 +0800

tiled-qt (0.10.0-1) unstable; urgency=low

  * New upstream release (Closes: #762216)
  * Bump Standards-Version to 3.9.5: nothing needs to be changed
  * debian/control: don't use hardening-warppers.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 20 Sep 2014 02:53:03 +0800

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,19 @@
 Section: utils
 Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: debhelper (>= 9), libqt4-dev, xsltproc, docbook-xsl,
-               netpbm, zlib1g-dev, libqt4-opengl-dev, hardening-wrapper
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9),
+               docbook-xsl,
+               libqt4-dev,
+               libqt4-opengl-dev,
+               netpbm,
+               xsltproc,
+               zlib1g-dev
+Standards-Version: 3.9.6
 Homepage: http://www.mapeditor.org/
 
 Package: tiled
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: general purpose tile map editor
  Tiled is a general purpose tile map editor. It's built to be easy to use,
  yet capable of catering to a host of varying game engines, whether your game

## tiled-qt 0.11.0

=== debian/changelog ===
tiled-qt (0.11.0-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 02 May 2015 22:35:04 +0800

## tiled-qt 0.12.3

=== debian/changelog ===
tiled-qt (0.12.3-1) unstable; urgency=low

  * New upstream release
  * Drop debian/patches/desktop.patch: already in upstream.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 25 Jul 2015 00:02:39 +0800

## tiled-qt 0.14.2

=== debian/changelog ===
tiled-qt (0.14.2-1) unstable; urgency=low

  * New upstream release
  * Use qt5
    - debian/rules: export QT_SELECT=5
    - debian/control: build-depends remove qt4, add qt5
  * Remove menu file
    - Upstream already provides .desktop file

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 18 Oct 2015 23:46:22 +0800

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: debhelper (>= 9),
                docbook-xsl,
-               libqt4-dev,
-               libqt4-opengl-dev,
+               libqt5opengl5-dev,
                netpbm,
+               qttools5-dev-tools,
                xsltproc,
                zlib1g-dev
 Standards-Version: 3.9.6

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 export DEB_BUILD_HARDENING=1
+export QT_SELECT=5
 
 DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
 XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

=== debian/watch ===
version=3
http://sf.net/tiled/tiled-qt-(.*)\.tar\.gz debian uupdate
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/tiled-qt-$1.tar.gz/" \
 https://github.com/bjorn/tiled/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz debian uupdate

## tiled-qt 0.17.0

=== debian/changelog ===
tiled-qt (0.17.0-1) unstable; urgency=low

  * New upstream release
    - Add debian/terraingenerator.xml to generate manpages
  * debian/rules: enable parallel building (Closes: #802271)
  * Bump Standards-Version to 3.9.8: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 03 Sep 2016 03:28:32 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                qttools5-dev-tools,
                xsltproc,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.mapeditor.org/
 
 Package: tiled

## tiled-qt 1.0.2

=== debian/changelog ===
tiled-qt (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 4.0.0: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 29 Jun 2017 14:42:32 +0800

## tiled-qt 1.0.3

=== debian/changelog ===
tiled-qt (1.0.3-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 17 Sep 2017 23:52:33 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                qttools5-dev-tools,
                xsltproc,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.mapeditor.org/
 
 Package: tiled

=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,13 @@
 XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"
 
 %:
-	dh  $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure
 	dh_auto_configure -Dsrc/libtiled -- LIBDIR=/usr/lib/tiled
 
-override_dh_auto_build:
+override_dh_auto_build: terraingenerator.1
 	pngtopnm src/tiled/images/32x32/tiled.png > tiled-icon-32.ppm
 	pngtopnm -alpha src/tiled/images/32x32/tiled.png > tiled-icon-32_alpha.pgm
 	ppmtoxpm -name=tiled-icon-32 tiled-icon-32.ppm \
@@ -29,6 +29,9 @@
 tmxviewer.1: debian/tmxviewer.xml
 	$(XP) $(DB2MAN) $<
 
+terraingenerator.1: debian/terraingenerator.xml
+	$(XP) $(DB2MAN) $<
+
 override_dh_makeshlibs:
 	dh_makeshlibs -Xlibtiled

## tiled-qt 1.1.5

=== debian/changelog ===
tiled-qt (1.1.5-1) unstable; urgency=low

  * New upstream release
  * Split libtiled and libtiled-dev package out from tiled.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 03 May 2018 03:05:28 +0800

tiled-qt (1.1.4-1) unstable; urgency=low

  * New upstream release
  * Fix priority-extra-is-replaced-by-priority-optional
    - change extra to optional
  * Bump Standards-Version to 4.1.4: nothing needs to be changed
  * Bump debhelper version to 10
    - Remove --parallel
  * Add fix_appdata.patch to fix the old format of appdata.
    - Upstream already patched

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 21 Apr 2018 17:30:03 +0800

## tiled-qt 1.2.0

=== debian/changelog ===
tiled-qt (1.2.0-1) unstable; urgency=low

  * New upstream release
    - Remove debian/patches/fix_appdata.patch - already upstreamed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 05 Oct 2018 19:03:34 +0800

=== debian/control ===
Source: tiled-qt
Section: utils
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 10),
               docbook-xsl,
               libqt5opengl5-dev,
               netpbm,
               qttools5-dev-tools,
               xsltproc,
               zlib1g-dev
Standards-Version: 4.1.4
Homepage: http://www.mapeditor.org/

Package: tiled
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: general purpose tile map editor
 Tiled is a general purpose tile map editor. It's built to be easy to use,
 yet capable of catering to a host of varying game engines, whether your game
 is an RPG, platformer or Breakout clone. Tiled supports plugins to read and
 write map formats, in addition to its map format, to support map formats in
 use by engines.

Package: libtiled1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for general purpose tile map editor
 Tiled is a general purpose tile map editor. It's built to be easy to use,
 yet capable of catering to a host of varying game engines, whether your game
 is an RPG, platformer or Breakout clone. Tiled supports plugins to read and
 write map formats, in addition to its map format, to support map formats in
 use by engines.
 .
 This package contains the library to read the map files.

Package: libtiled-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libtiled1 (= ${binary:Version})
Description: library for general purpose tile map editor (development headers)
 Tiled is a general purpose tile map editor. It's built to be easy to use,
 yet capable of catering to a host of varying game engines, whether your game
 is an RPG, platformer or Breakout clone. Tiled supports plugins to read and
 write map formats, in addition to its map format, to support map formats in
 use by engines.
 .
 This package contains the development headers for libtiled.

## tiled-qt 1.2.1+dfsg.1

=== debian/changelog ===
tiled-qt (1.2.1+dfsg.1-1.lnd.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:44:35 +0800

tiled-qt (1.2.1+dfsg.1-1.lnd.1) unstable; urgency=medium

  * fix build for qt5.15

 -- Nan xiongchao <nanxiongchao@loongson.cn>  Thu, 29 Jul 2021 13:00:16 +0000

tiled-qt (1.2.1+dfsg.1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 4.2.1: nothing needs to be changed
  * Repack upstream tarball to remove .dll and .lib

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 28 Nov 2018 06:41:14 +0800

## tiled-qt 1.2.1.1+dfsg.1+rb2

=== debian/changelog ===
tiled-qt (1.2.1.1+dfsg.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 01 Feb 2021 16:28:44 +0800

## tiled-qt 1.2.4+dfsg.1

=== debian/changelog ===
tiled-qt (1.2.4+dfsg.1-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 08 Jul 2019 01:25:13 +0800

## tiled-qt 1.2.5+dfsg.1

=== debian/changelog ===
tiled-qt (1.2.5+dfsg.1-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 08 Nov 2019 00:58:51 +0800

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,19 @@
 Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: debhelper (>= 10),
+               default-jdk,
                docbook-xsl,
                libqt5opengl5-dev,
+               maven-debian-helper (>= 2.1),
                netpbm,
                qttools5-dev-tools,
                xsltproc,
                zlib1g-dev
-Standards-Version: 4.1.4
+#Build-Depends-Indep: default-jdk-doc,
+#                     junit4 (>= 4.12),
+#                     libjackson2-module-jaxb-annotations-java,
+#                     libmaven-javadoc-plugin-java (>= 3.0.1)
+Standards-Version: 4.2.1
 Homepage: http://www.mapeditor.org/
 
 Package: tiled
@@ -39,7 +45,7 @@
 Package: libtiled-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libtiled1 (= ${binary:Version})
+Depends: libtiled1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: library for general purpose tile map editor (development headers)
  Tiled is a general purpose tile map editor. It's built to be easy to use,
  yet capable of catering to a host of varying game engines, whether your game
@@ -48,3 +54,30 @@
  use by engines.
  .
  This package contains the development headers for libtiled.
+
+#Package: libtiled-java
+#Architecture: all
+#Section: java
+#Depends: ${maven:Depends}, ${misc:Depends}
+#Suggests: libtiled-java-doc, ${maven:OptionalDepends}
+#Description: java library for general purpose tile map editor
+# Tiled is a general purpose tile map editor. It's built to be easy to use,
+# yet capable of catering to a host of varying game engines, whether your game
+# is an RPG, platformer or Breakout clone. Tiled supports plugins to read and
+# write map formats, in addition to its map format, to support map formats in
+# use by engines.
+
+#Package: libtiled-java-doc
+#Architecture: all
+#Section: doc
+#Depends: ${misc:Depends}
+#Recommends: ${maven:DocDepends}, ${maven:DocOptionalDepends}
+#Suggests: libtiled-java
+#Description: java library for general purpose tile map editor (documentation)
+# Tiled is a general purpose tile map editor. It's built to be easy to use,
+# yet capable of catering to a host of varying game engines, whether your game
+# is an RPG, platformer or Breakout clone. Tiled supports plugins to read and
+# write map formats, in addition to its map format, to support map formats in
+# use by engines.
+# .
+# This package contains the API documentation of libtiled-java.

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,12 @@
 XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure
-	dh_auto_configure -Dsrc/libtiled -- LIBDIR=/usr/lib/tiled
+	dh_auto_configure -- LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
+	#dh_auto_configure -Dsrc/libtiled
+#	dh_auto_configure -plibtiled-java --buildsystem=maven
 
 override_dh_auto_build: terraingenerator.1
 	pngtopnm src/tiled/images/32x32/tiled.png > tiled-icon-32.ppm
@@ -22,6 +23,15 @@
 	ppmtoxpm -name=tiled-icon-32 tiled-icon-32.ppm \
 	    -alphamask=tiled-icon-32_alpha.pgm > tiled-icon-32.xpm
 	dh_auto_build
+	#dh_auto_build -plibtiled-java --buildsystem=maven -Dutil/java
+
+override_dh_auto_install:
+	dh_auto_install
+	#dh_auto_install -plibtiled-java --buildsystem=maven
+
+override_dh_auto_clean:
+	dh_auto_clean
+#	dh_auto_clean -plibtiled-java --buildsystem=maven
 
 tiled.1: debian/tiled.xml
 	$(XP) $(DB2MAN) $<
@@ -33,7 +43,4 @@
 	$(XP) $(DB2MAN) $<
 
 override_dh_makeshlibs:
-	dh_makeshlibs -Xlibtiled
-
-override_dh_strip:
-	dh_strip --dbg-package=tiled-dbg
+	dh_makeshlibs

## tiled-qt 1.3.0

=== debian/changelog ===
tiled-qt (1.3.0-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 19 Nov 2019 17:42:55 +0800

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,10 @@
                libqt5opengl5-dev,
                maven-debian-helper (>= 2.1),
                netpbm,
+               qtdeclarative5-dev,
                qttools5-dev-tools,
                xsltproc,
                zlib1g-dev
-#Build-Depends-Indep: default-jdk-doc,
-#                     junit4 (>= 4.12),
-#                     libjackson2-module-jaxb-annotations-java,
-#                     libmaven-javadoc-plugin-java (>= 3.0.1)
 Standards-Version: 4.2.1
 Homepage: http://www.mapeditor.org/
 
@@ -54,30 +51,3 @@
  use by engines.
  .
  This package contains the development headers for libtiled.
-
-#Package: libtiled-java
-#Architecture: all
-#Section: java
-#Depends: ${maven:Depends}, ${misc:Depends}
-#Suggests: libtiled-java-doc, ${maven:OptionalDepends}
-#Description: java library for general purpose tile map editor
-# Tiled is a general purpose tile map editor. It's built to be easy to use,
-# yet capable of catering to a host of varying game engines, whether your game
-# is an RPG, platformer or Breakout clone. Tiled supports plugins to read and
-# write map formats, in addition to its map format, to support map formats in
-# use by engines.
-
-#Package: libtiled-java-doc
-#Architecture: all
-#Section: doc
-#Depends: ${misc:Depends}
-#Recommends: ${maven:DocDepends}, ${maven:DocOptionalDepends}
-#Suggests: libtiled-java
-#Description: java library for general purpose tile map editor (documentation)
-# Tiled is a general purpose tile map editor. It's built to be easy to use,
-# yet capable of catering to a host of varying game engines, whether your game
-# is an RPG, platformer or Breakout clone. Tiled supports plugins to read and
-# write map formats, in addition to its map format, to support map formats in
-# use by engines.
-# .
-# This package contains the API documentation of libtiled-java.

## tiled-qt 1.3.1

=== debian/changelog ===
tiled-qt (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 4.4.1: nothing needs to be changed
  * Bump debhelper version to 11

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 24 Nov 2019 16:23:04 +0800

## tiled-qt 1.3.2

=== debian/changelog ===
tiled-qt (1.3.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:27:48 +0100

tiled-qt (1.3.2-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 02 Feb 2020 03:05:11 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                default-jdk,
                docbook-xsl,
                libqt5opengl5-dev,
@@ -12,7 +12,7 @@
                qttools5-dev-tools,
                xsltproc,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://www.mapeditor.org/
 
 Package: tiled

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,8 @@
 #	dh_auto_configure -plibtiled-java --buildsystem=maven
 
 override_dh_auto_build: terraingenerator.1
-	pngtopnm src/tiled/images/32x32/tiled.png > tiled-icon-32.ppm
-	pngtopnm -alpha src/tiled/images/32x32/tiled.png > tiled-icon-32_alpha.pgm
+	pngtopnm src/tiled/images/32/tiled.png > tiled-icon-32.ppm
+	pngtopnm -alpha src/tiled/images/32/tiled.png > tiled-icon-32_alpha.pgm
 	ppmtoxpm -name=tiled-icon-32 tiled-icon-32.ppm \
 	    -alphamask=tiled-icon-32_alpha.pgm > tiled-icon-32.xpm
 	dh_auto_build

## tiled-qt 1.3.4

=== debian/changelog ===
tiled-qt (1.3.4-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 26 Apr 2020 14:35:42 +0800

tiled-qt (1.3.3-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 07 Mar 2020 04:05:46 +0800

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,10 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		RPATH=no USE_FHS_PLUGIN_PATH=yes
 	#dh_auto_configure -Dsrc/libtiled
-#	dh_auto_configure -plibtiled-java --buildsystem=maven
+	#dh_auto_configure -plibtiled-java --buildsystem=maven
 
 override_dh_auto_build: terraingenerator.1
 	pngtopnm src/tiled/images/32/tiled.png > tiled-icon-32.ppm
@@ -31,7 +32,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-#	dh_auto_clean -plibtiled-java --buildsystem=maven
+	#dh_auto_clean -plibtiled-java --buildsystem=maven
 
 tiled.1: debian/tiled.xml
 	$(XP) $(DB2MAN) $<

## tiled-qt 1.4.2

=== debian/changelog ===
tiled-qt (1.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 16 Aug 2020 15:59:56 +0800

tiled-qt (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 05 Jul 2020 09:32:52 +0800

## tiled-qt 1.4.3

=== debian/changelog ===
tiled-qt (1.4.3-1) unstable; urgency=low

  * New upstream release.
    - Add zstd support.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 21 Nov 2020 08:01:38 +0800

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
                default-jdk,
                docbook-xsl,
                libqt5opengl5-dev,
+               libzstd-dev,
                maven-debian-helper (>= 2.1),
                netpbm,
+               pkg-config,
                qtdeclarative5-dev,
                qttools5-dev-tools,
                xsltproc,

## tiled-qt 1.7.2

=== debian/changelog ===
tiled-qt (1.7.2-1) unstable; urgency=low

  * New upstream release. (Closes: #989765)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 17 Aug 2021 17:43:03 +0800

## tiled-qt 1.8.0

=== debian/changelog ===
tiled-qt (1.8.0-1) unstable; urgency=low

  * New upstream release.
  * Add version dependency on libtiled1 for tiled. (Closes: #916332)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 10 Feb 2022 00:59:57 +0800

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 Package: tiled
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libtiled1 (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: general purpose tile map editor
  Tiled is a general purpose tile map editor. It's built to be easy to use,
  yet capable of catering to a host of varying game engines, whether your game

=== debian/watch ===
version=4
#http://sf.net/tiled/tiled-qt-(.*)\.tar\.gz debian uupdate
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/tiled-qt-$1.tar.gz/, repacksuffix=+dfsg.1, dversionmangle=auto" \
 https://github.com/bjorn/tiled/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz debian uupdate

## tiled-qt 1.8.2

=== docs/requirements.txt ===
Sphinx>=4.0
sphinx-rtd-theme>=1.0
docutils>=0.17

=== src/karchive/src/CMakeLists.txt ===
set(HAVE_BZIP2_SUPPORT ${BZIP2_FOUND})
if(BZIP2_FOUND AND BZIP2_NEED_PREFIX)
    set(NEED_BZ2_PREFIX 1)
endif()

set(HAVE_XZ_SUPPORT ${LIBLZMA_FOUND})

configure_file(config-compression.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-compression.h)
add_definitions(-DQT_NO_CAST_FROM_ASCII)

if(BZIP2_FOUND)
    include_directories(${BZIP2_INCLUDE_DIR})
    set(karchive_OPTIONAL_SRCS ${karchive_OPTIONAL_SRCS} kbzip2filter.cpp)
    set(karchive_OPTIONAL_LIBS ${karchive_OPTIONAL_LIBS} ${BZIP2_LIBRARIES})
endif()

if(LIBLZMA_FOUND)
    include_directories(${LIBLZMA_INCLUDE_DIRS})
    set(karchive_OPTIONAL_SRCS ${karchive_OPTIONAL_SRCS} kxzfilter.cpp k7zip.cpp)
    set(karchive_OPTIONAL_LIBS ${karchive_OPTIONAL_LIBS} ${LIBLZMA_LIBRARIES})
endif()


set(karchive_SRCS
    karchive.cpp
    kar.cpp
    kcompressiondevice.cpp
    kfilterbase.cpp
    kfilterdev.cpp
    kgzipfilter.cpp
    klimitediodevice.cpp
    knonefilter.cpp
    ktar.cpp
    kzip.cpp
    krcc.cpp
)

ecm_qt_declare_logging_category(karchive_SRCS
    HEADER loggingcategory.h
    IDENTIFIER KArchiveLog
    CATEGORY_NAME kf.archive
    OLD_CATEGORY_NAMES kf5.karchive
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KArchive"
    EXPORT KARCHIVE
)

add_library(KF5Archive ${karchive_SRCS} ${karchive_OPTIONAL_SRCS})
add_library(KF5::Archive ALIAS KF5Archive)
ecm_generate_export_header(KF5Archive
    BASE_NAME KArchive
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5Archive
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KArchive>"
)

target_link_libraries(KF5Archive
    PUBLIC
        Qt5::Core
    PRIVATE
        ${karchive_OPTIONAL_LIBS}
        ${ZLIB_LIBRARY}
)

set_target_properties(KF5Archive PROPERTIES
    VERSION     ${KARCHIVE_VERSION_STRING}
    SOVERSION   ${KARCHIVE_SOVERSION}
    EXPORT_NAME "Archive"
)

ecm_generate_headers(KArchive_HEADERS
    HEADER_NAMES
    KArchive
    KArchiveEntry
    KArchiveFile
    KArchiveDirectory
    KAr
    KCompressionDevice
    KFilterBase
    KFilterDev
    KRcc
    KTar
    KZip
    KZipFileEntry

    REQUIRED_HEADERS KArchive_HEADERS
)

install(TARGETS KF5Archive
        EXPORT KF5ArchiveTargets
        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

if(LIBLZMA_FOUND)
    ecm_generate_headers(KArchive_HEADERS
        HEADER_NAMES
        K7Zip
        REQUIRED_HEADERS KArchive_HEADERS
    )
endif()

install(FILES
            ${CMAKE_CURRENT_BINARY_DIR}/karchive_export.h
            ${KArchive_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KArchive
        COMPONENT Devel)

ecm_qt_install_logging_categories(
    EXPORT KARCHIVE
    FILE karchive.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Archive_QCH
        NAME KArchive
        BASE_NAME KF5Archive
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KArchive_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KARCHIVE_EXPORT
            KARCHIVE_DEPRECATED
            "KARCHIVE_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KArchive LIB_NAME KF5Archive DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KArchive)
install(FILES ${PRI_FILENAME}
        DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
tiled-qt (1.8.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:05:14 +1100

tiled-qt (1.8.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:18:13 +0000

tiled-qt (1.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 01 Mar 2022 13:09:11 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tiled-qt
 Section: utils
 Priority: optional
-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: debhelper (>= 11),
                default-jdk,
                docbook-xsl,

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		RPATH=no USE_FHS_PLUGIN_PATH=yes
+		RPATH=no USE_FHS_PLUGIN_PATH=yes SYSTEM_ZSTD=yes
 	#dh_auto_configure -Dsrc/libtiled
 	#dh_auto_configure -plibtiled-java --buildsystem=maven

## tiled-qt 1.11.90

=== docs/Makefile ===
--- 
+++ 
@@ -12,6 +12,9 @@
 help:
 	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
 
+livehtml:
+	sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
+
 .PHONY: help Makefile
 
 # Catch-all target: route all unknown targets to Sphinx using the new

=== docs/requirements.txt ===
Sphinx >= 6, < 7
docutils >= 0.18.1
myst-parser >= 1.0
sphinx-reredirects >= 0.1
sphinx-rtd-theme >= 1.2
sphinx_design >= 0.3

=== src/karchive/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.76.0") # handled by release scripts
project(KArchive VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.75.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(ECMGenerateExportHeader)

set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt5Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES
    URL "http://www.zlib.net"
    DESCRIPTION "Support for gzip compressed files and data streams"
    TYPE REQUIRED
    PURPOSE "Required by the core KDE libraries and some critical kioslaves"
)

find_package(BZip2)
set_package_properties(BZip2 PROPERTIES
    URL "https://sourceware.org/bzip2/"
    DESCRIPTION "Support for BZip2 compressed files and data streams"
    TYPE RECOMMENDED
    PURPOSE "Support for BZip2 compressed files and data streams"
)

find_package(LibLZMA)
set_package_properties(LibLZMA PROPERTIES
    URL "http://tukaani.org/xz/"
    DESCRIPTION "Support for xz compressed files and data streams"
    PURPOSE "Support for xz compressed files and data streams"
)
include_directories(
    ${ZLIB_INCLUDE_DIR}
)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KARCHIVE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/karchive_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ArchiveConfigVersion.cmake"
    SOVERSION 5)
add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Archive")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Archive_QCH
        FILE KF5ArchiveQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ArchiveQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5ArchiveConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5ArchiveConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/karchive_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
        COMPONENT Devel)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KF5ArchiveConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KF5ArchiveConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5ArchiveTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5ArchiveTargets.cmake
        NAMESPACE KF5::)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
tiled-qt (1.11.90-1) unstable; urgency=low

  * New upstream release. (Closes: #1081145)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 21 Apr 2025 06:18:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: tiled-qt
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: debhelper (>= 11),
                default-jdk,
                docbook-xsl,
                libqt5opengl5-dev,
+               libqt5svg5-dev,
                libzstd-dev,
                maven-debian-helper (>= 2.1),
                netpbm,
                pkg-config,
+               qbs,
                qtdeclarative5-dev,
                qttools5-dev-tools,
                xsltproc,

=== debian/rules ===
--- 
+++ 
@@ -15,23 +15,52 @@
 override_dh_auto_configure:
 	dh_auto_configure -- LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		RPATH=no USE_FHS_PLUGIN_PATH=yes SYSTEM_ZSTD=yes
+	QT_SELECT=5 qbs-setup-qt --settings-dir $(CURDIR)/debian /usr/bin/qmake deb
+	qbs config --settings-dir $(CURDIR)/debian profiles.deb.qbs.installPrefix usr/
+	qbs config --settings-dir $(CURDIR)/debian profiles.deb.cpp.debugInformation true
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+	qbs config --settings-dir $(CURDIR)/debian profiles.deb.cpp.optimization none
+else
+	qbs config --settings-dir $(CURDIR)/debian profiles.deb.cpp.optimization fast
+endif
+	qbs config --settings-dir $(CURDIR)/debian profiles.deb.cpp.commonCompilerFlags -Wdate-time
+	qbs config --settings-dir $(CURDIR)/debian profiles.deb.cpp.defines '"FORTIFY_SOURCE=2"'
+	qbs config --settings-dir $(CURDIR)/debian profiles.deb.cpp.cFlags '[ "-fdebug-prefix-map=$(CURDIR)=.", "-fstack-protector-strong", "-Wformat", "-Werror=format-security" ]'
+	qbs config --settings-dir $(CURDIR)/debian profiles.deb.cpp.cxxFlags '[ "-fdebug-prefix-map=$(CURDIR)=.", "-fstack-protector-strong", "-Wformat", "-Werror=format-security" ]'
+	qbs config --settings-dir $(CURDIR)/debian profiles.deb.cpp.linkerFlags "-z,relro"
+	qbs config --settings-dir $(CURDIR)/debian profiles.deb.cpp.soVersion "1"
+
 	#dh_auto_configure -Dsrc/libtiled
 	#dh_auto_configure -plibtiled-java --buildsystem=maven
 
 override_dh_auto_build: terraingenerator.1
-	pngtopnm src/tiled/images/32/tiled.png > tiled-icon-32.ppm
-	pngtopnm -alpha src/tiled/images/32/tiled.png > tiled-icon-32_alpha.pgm
+	pngtopnm src/tiled/resources/images/32/tiled.png > tiled-icon-32.ppm
+	pngtopnm -alpha src/tiled/resources/images/32/tiled.png > tiled-icon-32_alpha.pgm
 	ppmtoxpm -name=tiled-icon-32 tiled-icon-32.ppm \
 	    -alphamask=tiled-icon-32_alpha.pgm > tiled-icon-32.xpm
 	dh_auto_build
+	qbs build --settings-dir $(CURDIR)/debian -v --no-install \
+		modules.qbs.installRoot:$(CURDIR)/debian/tmp \
+		project.libDir:lib/$(DEB_HOST_MULTIARCH) \
+		profile:deb config:qbs-build
 	#dh_auto_build -plibtiled-java --buildsystem=maven -Dutil/java
 
 override_dh_auto_install:
+	qbs install --settings-dir $(CURDIR)/debian --no-build \
+		--install-root $(CURDIR)/debian/tmp \
+		project.libDir:lib/$(DEB_HOST_MULTIARCH) \
+		profile:deb config:qbs-build
+	find $(CURDIR)/debian/tmp -name libtilededitor.so -execdir mv {} libtilededitor.so.1 \;
+	find $(CURDIR)/debian/tmp -name libtilededitor.so.1 -execdir ln -s {} libtilededitor.so \;
+	find $(CURDIR)/debian/tmp -name libtiled.so -execdir mv {} libtiled.so.1 \;
+	find $(CURDIR)/debian/tmp -name libtiled.so.1 -execdir ln -s {} libtiled.so \;
 	dh_auto_install
 	#dh_auto_install -plibtiled-java --buildsystem=maven
 
 override_dh_auto_clean:
 	dh_auto_clean
+	- rm -rf qbs-build
+	- rm -rf $(CURDIR)/debian/qbs
 	#dh_auto_clean -plibtiled-java --buildsystem=maven
 
 tiled.1: debian/tiled.xml
